using System;
using MaidStatus.Old;

namespace MaidStatus
{
	public static class EnumConvert
	{
		public static string GetTerm(Contract contract)
		{
			return "MaidStatus/契約タイプ/" + EnumConvert.GetString(contract);
		}

		public static string GetTerm(Seikeiken seikeiken)
		{
			return "MaidStatus/性経験タイプ/" + EnumConvert.GetString(seikeiken);
		}

		public static string GetTerm(Relation relation)
		{
			return "MaidStatus/関係タイプ/" + EnumConvert.GetString(relation);
		}

		public static string GetString(HeroineType heroineType)
		{
			string result = string.Empty;
			if (heroineType != HeroineType.Original)
			{
				if (heroineType != HeroineType.Sub)
				{
					if (heroineType == HeroineType.Transfer)
					{
						result = "移籍";
					}
				}
				else
				{
					result = "サブ";
				}
			}
			else
			{
				result = "ユーザー作成";
			}
			return result;
		}

		public static string GetString(Contract contract)
		{
			string result = string.Empty;
			if (contract != Contract.Trainee)
			{
				if (contract != Contract.Free)
				{
					if (contract == Contract.Exclusive)
					{
						result = "専属";
					}
				}
				else
				{
					result = "フリー";
				}
			}
			else
			{
				result = "育成中";
			}
			return result;
		}

		public static string GetString(Seikeiken seikeiken)
		{
			string result = string.Empty;
			switch (seikeiken)
			{
			case Seikeiken.No_No:
				result = "処女";
				break;
			case Seikeiken.Yes_No:
				result = "経験あり";
				break;
			case Seikeiken.No_Yes:
				result = "後ろ経験あり";
				break;
			case Seikeiken.Yes_Yes:
				result = "両方経験あり";
				break;
			}
			return result;
		}

		public static string GetString(Relation relation)
		{
			string result = string.Empty;
			if (relation != Relation.Contact)
			{
				if (relation != Relation.Trust)
				{
					if (relation == Relation.Lover)
					{
						result = "恋人";
					}
				}
				else
				{
					result = "信頼";
				}
			}
			else
			{
				result = "お近づき";
			}
			return result;
		}

		public static string GetString(Relation relation)
		{
			string result = string.Empty;
			switch (relation)
			{
			case Relation.Tonus:
				result = "緊張";
				break;
			case Relation.Contact:
				result = "お近づき";
				break;
			case Relation.Trust:
				result = "信頼";
				break;
			case Relation.Lover:
				result = "恋人";
				break;
			case Relation.Slave:
				result = "愛奴";
				break;
			}
			return result;
		}

		public static string GetString(Condition condition_)
		{
			string result = string.Empty;
			if (condition_ != Condition.Null)
			{
				if (condition_ != Condition.Drunk)
				{
					if (condition_ == Condition.Osioki)
					{
						result = "お仕置き";
					}
				}
				else
				{
					result = "酔い";
				}
			}
			else
			{
				result = "なし";
			}
			return result;
		}
	}
}
